Bug 1448875 - Add missing git-clang-format in Clang package
Summary: Add missing git-clang-format in Clang package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: clang
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-08 13:24 UTC by David Abdurachmanov
Modified: 2017-12-12 10:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:58:59 UTC
Type: Bug


Attachments (Terms of Use)

Description David Abdurachmanov 2017-05-08 13:24:45 UTC
Description of problem:

The following commit in Clang package repository explicitly removes git-clang-format:

commit 4a6eb830c00f220f6908244dd30c992f7407176c
Author: Adam Jackson <ajax>
Date:   Wed Jan 27 09:29:14 2016 -0500

    Initial import

[..]
+# remove git integration
+rm -vf %{buildroot}%{_bindir}/git-clang-format
[..]


Version-Release number of selected component (if applicable):

25,26,rawhide


Steps to Reproduce:

git clang-format -h
# or
git-clang-format -h
# will not work


Expected results:

Could we have this script enabled in Clang package? This is a very handy script when you want to check for style issues in particular commits. I was surprised to find that it's deleted explicitly from the package.

Comment 1 Tom Stellard 2017-06-13 12:31:08 UTC
This has been fixed in rawhide: clang-4.0.0-7.fc27

Comment 2 Fedora Update System 2017-09-05 18:31:13 UTC
clang-4.0.1-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-40752f5231

Comment 3 Fedora Update System 2017-09-06 02:53:56 UTC
clang-4.0.1-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a4c90b3bb8

Comment 4 Fedora Update System 2017-09-06 22:30:05 UTC
clang-4.0.1-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a4c90b3bb8

Comment 5 Fedora Update System 2017-09-07 14:31:50 UTC
clang-4.0.1-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-40752f5231

Comment 6 Fedora Update System 2017-09-19 23:21:43 UTC
clang-4.0.1-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-09-30 06:18:11 UTC
clang-4.0.1-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora End Of Life 2017-12-12 10:58:59 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.